#!/bin/sh

case `uname -sr` in
  IRIX\ 4.0.*)
     LIB=../lib/Indigo ;;
  SunOS\ 4.1.*)
     LIB=../lib/SunOS ;;
  SunOS\ 5.*)
     LIB=../lib/Solaris ;;
  Linux*)
     LIB=../lib/Linux ;;
  FreeBSD*)
     LIB=../lib/FreeBSD ;;
  *) 
     echo "This program has not been tested on your machine!"
     exit
esac

for f in 1 2 3 4; do
    echo "compiling example$f.c"
    gcc -I../include -o example$f example$f.c -L$LIB -laudio
    strip example$f
done
